--------------------------------	
-- BuildingClasses
--------------------------------	
INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding)
VALUES		('BUILDINGCLASS_D_FOR_MEDJAY',			'BUILDING_D_FOR_MEDJAY');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================		
INSERT INTO Buildings 	
			(Type,							BuildingClass,					Description,						PovertyHappinessChange, 	DefenseHappinessChange,	IlliteracyHappinessChange,	UnculturedHappinessChange,	MinorityHappinessChange, 	GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	IsDummy)
VALUES		('BUILDING_D_FOR_MEDJAY',		'BUILDINGCLASS_D_FOR_MEDJAY',	'TXT_KEY_BUILDING_D_FOR_MEDJAY',	-5, 						-5, 					-5, 						-5, 						-5,						0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1);
--==========================================================================================================================	
-- POLICIES
--==========================================================================================================================	
INSERT INTO	Policies
			(Type, 					Description, 					IsDummy)
VALUES		('POLICY_NUBIA_DUMMY',	'TXT_KEY_POLICY_NUBIA_DUMMY', 	1);
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
--------------------------------
-- Units
--------------------------------	
--INSERT INTO Units
--			(Type,					Description,					Civilopedia,						Strategy,								Help,								Combat,	PurchaseOnly, 	RangedCombat, Cost, FaithCost, 	RequiresFaithPurchaseEnabled, 	MoveAfterPurchase, 	PolicyType, 			Moves, Range, BaseSightRange, Class, 				CombatClass, Domain, DefaultUnitAI, MilitarySupport, MilitaryProduction, 	Pillage, PrereqTech, ObsoleteTech,		GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo, 					UnitFlagIconOffset, PortraitIndex,	IconAtlas,			UnitFlagAtlas,				MoveRate, BaseLandAirDefense, IsMounted)
--SELECT		'UNIT_NUBIA_MEDJAY1', 	'TXT_KEY_UNIT_NUBIA_MEDJAY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_TEXT',	'TXT_KEY_UNIT_NUBIA_MEDJAY_STRATEGY',	'TXT_KEY_UNIT_NUBIA_MEDJAY_HELP',	Combat,	1, 				RangedCombat, Cost, 0, 			'false', 						1, 					'POLICY_NUBIA_DUMMY',	Moves, Range, BaseSightRange, 'UNITCLASS_MEDJAY', 	CombatClass, Domain, DefaultUnitAI, MilitarySupport, 1, 					Pillage, PrereqTech, 'TECH_GUNPOWDER', GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, XPValueAttack, XPValueDefense, 3, 			'ART_DEF_UNIT_NUBIA_MEDJAY', 	0,					0,				'NUBIA_4UC_ATLAS', 'UNIT_MEDJAY_FLAG_ATLAS',	MoveRate, BaseLandAirDefense, IsMounted
--FROM Units WHERE Type = 'UNIT_SWORDSMAN';

--INSERT INTO Units
--			(Type,					Description,					Civilopedia,						Strategy,								Help,								Combat,	PurchaseOnly, 	RangedCombat, Cost, FaithCost, 	RequiresFaithPurchaseEnabled, 	MoveAfterPurchase, 	PolicyType, 			Moves, Range, BaseSightRange, Class, 				CombatClass, Domain, DefaultUnitAI, MilitarySupport, MilitaryProduction, 	Pillage, PrereqTech, ObsoleteTech,		GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo, 					UnitFlagIconOffset, PortraitIndex,	IconAtlas,			UnitFlagAtlas,				MoveRate, BaseLandAirDefense, IsMounted)
--SELECT		'UNIT_NUBIA_MEDJAY2', 	'TXT_KEY_UNIT_NUBIA_MEDJAY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_TEXT',	'TXT_KEY_UNIT_NUBIA_MEDJAY_STRATEGY',	'TXT_KEY_UNIT_NUBIA_MEDJAY_HELP',	Combat,	1, 				RangedCombat, Cost, 0, 			'false', 						1, 					'POLICY_NUBIA_DUMMY',	Moves, Range, BaseSightRange, 'UNITCLASS_MEDJAY', 	CombatClass, Domain, DefaultUnitAI, MilitarySupport, 1, 					Pillage, PrereqTech, 'TECH_GUNPOWDER', GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, XPValueAttack, XPValueDefense, 3, 			'ART_DEF_UNIT_NUBIA_MEDJAY', 	0,					0,				'NUBIA_4UC_ATLAS', 'UNIT_MEDJAY_FLAG_ATLAS',	MoveRate, BaseLandAirDefense, IsMounted
--FROM Units WHERE Type = 'UNIT_SWORDSMAN';

INSERT INTO Units
	(Class, 			Type, 					PrereqTech, 		ObsoleteTech,		Combat, Cost, 	FaithCost, 	PurchaseOnly, 	RequiresFaithPurchaseEnabled, 	Moves, 	CombatClass, 		Domain, 		MoveAfterPurchase, 	DefaultUnitAI, 			Description, 					Civilopedia, 						Strategy, 								Help, 								MilitarySupport, 	MilitaryProduction, Pillage, 	PolicyType, 			IgnoreBuildingDefense, AdvancedStartCost, 	XPValueAttack, 	XPValueDefense, Conscription, 	UnitArtInfo, 					UnitFlagAtlas, 				UnitFlagIconOffset, IconAtlas, 			PortraitIndex)
VALUES
	('UNITCLASS_MEDJAY', 'UNIT_NUBIA_MEDJAY1', 'TECH_IRON_WORKING', 'TECH_GUNPOWDER', 	15, 	100, 	0, 			1, 				'false', 						2, 		'UNITCOMBAT_MELEE', 'DOMAIN_LAND', 	1, 					'UNITAI_FAST_ATTACK', 	'TXT_KEY_UNIT_NUBIA_MEDJAY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_TEXT', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_STRATEGY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_HELP', 	1, 					1, 					1, 			'POLICY_NUBIA_DUMMY', 	1, 						40, 				3, 				3, 				3, 				'ART_DEF_UNIT_NUBIA_MEDJAY', 	'UNIT_MEDJAY_FLAG_ATLAS', 	0, 					'NUBIA_4UC_ATLAS', 	0),
	('UNITCLASS_MEDJAY', 'UNIT_NUBIA_MEDJAY2', 'TECH_IRON_WORKING', 'TECH_GUNPOWDER', 	15, 	100, 	0, 			1, 				'false', 						2, 		'UNITCOMBAT_MELEE', 'DOMAIN_LAND', 	1, 					'UNITAI_FAST_ATTACK', 	'TXT_KEY_UNIT_NUBIA_MEDJAY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_TEXT', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_STRATEGY', 	'TXT_KEY_UNIT_NUBIA_MEDJAY_HELP', 	1, 					1, 					1, 			'POLICY_NUBIA_DUMMY', 	1, 						40, 				3, 				3, 				3, 				'ART_DEF_UNIT_NUBIA_MEDJAY', 	'UNIT_MEDJAY_FLAG_ATLAS', 	0, 					'NUBIA_4UC_ATLAS', 	0);

--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 				UnitAIType)
SELECT		'UNIT_NUBIA_MEDJAY1', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_SWORDSMAN';

INSERT INTO Unit_AITypes 	
			(UnitType, 				UnitAIType)
SELECT		'UNIT_NUBIA_MEDJAY2', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_SWORDSMAN';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 				UnitClassType)
SELECT		'UNIT_NUBIA_MEDJAY1', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_SWORDSMAN';

INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 				UnitClassType)
SELECT		'UNIT_NUBIA_MEDJAY2', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_SWORDSMAN';
--------------------------------	
-- Unit_Flavors
--------------------------------	
INSERT INTO	Unit_Flavors
			(UnitType, 				FlavorType,			Flavor)
VALUES		('UNIT_NUBIA_MEDJAY1',	'FLAVOR_OFFENSE',	5),
			('UNIT_NUBIA_MEDJAY1',	'FLAVOR_DEFENSE',	14);

INSERT INTO	Unit_Flavors
			(UnitType, 				FlavorType,			Flavor)
VALUES		('UNIT_NUBIA_MEDJAY2',	'FLAVOR_OFFENSE',	5),
			('UNIT_NUBIA_MEDJAY2',	'FLAVOR_DEFENSE',	14);
--------------------------------	
-- Unit_FreePromotions
--------------------------------	
INSERT INTO		Unit_FreePromotions
				(UnitType, 				PromotionType)
SELECT			'UNIT_NUBIA_MEDJAY1', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SWORDSMAN';

INSERT INTO	Unit_FreePromotions
			(UnitType,				PromotionType)
VALUES		('UNIT_NUBIA_MEDJAY1', 	'PROMOTION_TEMPLE_GUARD');

INSERT INTO		Unit_FreePromotions
				(UnitType, 			PromotionType)
SELECT			'UNIT_NUBIA_MEDJAY2', PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SWORDSMAN';

INSERT INTO	Unit_FreePromotions
			(UnitType,				PromotionType)
VALUES		('UNIT_NUBIA_MEDJAY2', 	'PROMOTION_TEMPLE_GUARD');
--==========================================================================================================================	

--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
--------------------------------	
-- UnitPromotions
--------------------------------	
INSERT INTO UnitPromotions
			(Type,						Description,						Help,									CannotBeChosen,		FriendlyLandsModifier, 	Sound,				PortraitIndex,	IconAtlas,					PediaType,		PediaEntry)
VALUES		('PROMOTION_TEMPLE_GUARD',	'TXT_KEY_PROMOTION_TEMPLE_GUARD',	'TXT_KEY_PROMOTION_TEMPLE_GUARD_HELP',	1,					15, 					'AS2D_IF_LEVELUP',	2,				'NUBIA_PROMOTION_ATLAS',	'PEDIA_MELEE',	'TXT_KEY_PROMOTION_TEMPLE_GUARD');
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 					IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn)
VALUES	('NUBIA_4UC_ATLAS', 		256, 		'MC_Makuria_256.dds',		2, 				1),
		('NUBIA_4UC_ATLAS', 		128, 		'MC_Makuria_128.dds',		2, 				1),
		('NUBIA_4UC_ATLAS', 		80, 		'MC_Makuria_080.dds',		2, 				1),
		('NUBIA_4UC_ATLAS', 		64, 		'MC_Makuria_064.dds',		2, 				1),
		('NUBIA_4UC_ATLAS', 		45, 		'MC_Makuria_045.dds',		2, 				1),
		('NUBIA_4UC_ATLAS', 		32, 		'MC_Makuria_032.dds',		2, 				1),
		('UNIT_MEDJAY_FLAG_ATLAS', 	32, 		'MC_MedjayUnitFlag_32.dds',	1, 				1);
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type, 							DamageStates, Formation)
SELECT		'ART_DEF_UNIT_NUBIA_MEDJAY', 	DamageStates, Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_LONGSWORDSMAN';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,					UnitMemberInfoType,					NumMembers)
SELECT		'ART_DEF_UNIT_NUBIA_MEDJAY', 	'ART_DEF_UNIT_MEMBER_NUBIA_MEDJAY', NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_LONGSWORDSMAN';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,					EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		'ART_DEF_UNIT_MEMBER_NUBIA_MEDJAY',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_LONGSWORDSMAN';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,					"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_NUBIA_MEDJAY',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_LONGSWORDSMAN';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
			(Type, 								Scale, ZOffset, Domain, Model, 							MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_NUBIA_MEDJAY',	Scale, ZOffset, Domain, 'MC_NobatianSwordsman.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_LONGSWORDSMAN';
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT OR REPLACE INTO ArtDefine_StrategicView 
			(StrategicViewType, 					TileType,	Asset)
SELECT		'ART_DEF_UNIT_NUBIA_MEDJAY', 	TileType, 	'sv_NobatianSwordsman.dds'
FROM ArtDefine_StrategicView WHERE StrategicViewType = 'ART_DEF_UNIT_LONGSWORDSMAN';
--==========================================================================================================================
--TEXT
--==========================================================================================================================
------------------------------
-- Language_en_US
------------------------------
INSERT INTO Language_en_US (Tag, Text)
VALUES 
('TXT_KEY_POLICY_NUBIA_DUMMY', 				'Medjay Mercenaries'),
('TXT_KEY_BUILDING_D_FOR_MEDJAY', 			'Medjay Happiness Dummy'),
('TXT_KEY_UNIT_NUBIA_MEDJAY',				'Medjay'),
('TXT_KEY_UNIT_NUBIA_MEDJAY_HELP', 			'Classical era Mercenary unit. Available to purchase for any Civilization with an [COLOR_POSITIVE_TEXT]Embassy[ENDCOLOR] with Nubia.[NEWLINE][NEWLINE]+15%[ICON_STRENGTH] Combat Strength inside friendly territory and slightly reduces city [ICON_HAPPINESS_3] Needs if garrisoned. Receives the [COLOR_POSITIVE_TEXT]Cover I[ENDCOLOR] Promotion for free.[NEWLINE][NEWLINE]This unit may not be built; it must be purchased with Gold. May move immediately after purchase. Nubia receives 75 [ICON_GOLD] Gold whenever a Medjay is purchased by another Civilization.'),
('TXT_KEY_UNIT_NUBIA_MEDJAY_TEXT',			'Once referring to the people from the Nubian land of Medja, by the 16th Century BCE the name “medjay” was synonymous with an elite mercenary force employing both Nubians and Egyptians. Charged with protecting monuments, palaces, and tombs, the mostly autonomous medjay reported to regional captains who oversaw their allocation.'),
('TXT_KEY_UNIT_NUBIA_MEDJAY_STRATEGY',		'Medjay are the Unique unit of Nubia, but are available as mercenaries to all civilizations. Use Medjay to secure your borders and garrisons, easing unhappiness throughout the empire.'),
('TXT_KEY_PROMOTION_TEMPLE_GUARD', 			'Temple guard'),
('TXT_KEY_PROMOTION_TEMPLE_GUARD_HELP',		'+15%[ICON_STRENGTH] Combat Strength inside friendly territory. Slightly reduces [ICON_HAPPINESS_3] Needs when garrisoned.');
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
--------------------------------	
-- UnitClasses
--------------------------------	
INSERT INTO UnitClasses
		(Type, 				Description, 					DefaultUnit)
VALUES	('UNITCLASS_MEDJAY', 'TXT_KEY_UNIT_NUBIA_MEDJAY', 	'UNIT_NUBIA_MEDJAY1');

INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, 				UnitClassType, 			UnitType)
SELECT	'CIVILIZATION_MC_LITE_NUBIA', 	'UNITCLASS_MEDJAY', 	'UNIT_NUBIA_MEDJAY2'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');